{% load wagtailimages_tags static %}

<li class="candidate-secondary-box container--wide">
  <a
    href="{{ self.page.url }}"
    class="
      py-2 flex gap-6 items-center underline-offset-2
    "
  >
    {% with self.page.specific as specific_page %}
      <div class="font-bold text-xl w-8">
        {{ self.number }}
      </div>

      <div
        class="
          flex font-bold justify-center items-center rounded-full w-12 shrink-0 grow-1
        "
      >
        {% with specific_page.get_profile_image as profile_image %}
          {% if profile_image %}
            {% image profile_image fill-150x150 class="object-cover w-12 shrink-0 grow-1" %}
          {% endif %}
        {% endwith %}
      </div>

      <div
        class="
          flex gap-2 flex-col w-full

          lg:gap-6 lg:flex-row
        "
      >
        <h4
          class="text-xl font-bold w-64"
        >{{ specific_page.get_full_name }}</h4>

        {% if show_job %}
          {% if specific_page.job or specific_page.positon %}
            <p class="lg:ml-6">
              {% if show_job and specific_page.job %}
                {{ specific_page.job }}
              {% elif specific_page.position %}
                {{ specific_page.position }}
              {% endif %}
            </p>
          {% endif %}
        {% endif %}

        {% if specific_page.is_pirate is not None %}
          <div
            class="
              font-bold flex items-center gap-1

              lg:ml-auto
            "
          >
            {% if specific_page.is_pirate %}
              <img
                class="w-8"
                alt="Logo pirátské strany"
                src="{% static "styleguide2/images/logo-round-black.svg" %}"
              >

              <div>
                Pirátská Strana
              </div>
            {% elif specific_page.other_party %}
              {% if specific_page.other_party_logo %}
                {% image specific_page.other_party_logo fill-150x150 as other_party_logo_image %}

                <img
                  class="w-8"
                  alt="Logo {{ specific_page.other_party }}"
                  src="{{ other_party_logo_image.url }}"
                >

                <div>
                  {{ specific_page.other_party }}
                </div>
              {% endif %}
            {% endif %}
          </div>
        {% endif %}
      </div>
    {% endwith %}
  </a>
</li>
